<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/RawTrackerHit.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">RawTrackerHit.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_raw_tracker_hit_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// datamodel specific includes</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_raw_tracker_hit_8h.html">eicd/RawTrackerHit.h</a>&quot;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_raw_tracker_hit_const_8h.html">eicd/RawTrackerHitConst.h</a>&quot;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_raw_tracker_hit_obj_8h.html">eicd/RawTrackerHitObj.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_raw_tracker_hit_data_8h.html">eicd/RawTrackerHitData.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_raw_tracker_hit_collection_8h.html">eicd/RawTrackerHitCollection.h</a>&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_tracker_hit.html#a33642c3935b58ece8d21493a02384ab9">   16</a></span>&#160;<a class="code" href="classeic_1_1_raw_tracker_hit.html#a33642c3935b58ece8d21493a02384ab9">RawTrackerHit::RawTrackerHit</a>() : m_obj(new <a class="code" href="classeic_1_1_raw_tracker_hit_obj.html">RawTrackerHitObj</a>()) {</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;}</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_tracker_hit.html#a7f3aa4f9a7035fc5c56336dce146f6b1">   20</a></span>&#160;<a class="code" href="classeic_1_1_raw_tracker_hit.html#a33642c3935b58ece8d21493a02384ab9">RawTrackerHit::RawTrackerHit</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_raw_tracker_hit.html#afc96837d8331c6207d6b672384d067ff">cellID</a>, <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_raw_tracker_hit.html#ac91d841e9370f1c870f3a8c17841421b">time</a>, <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_raw_tracker_hit.html#abcae9fea17111fd53a88ed52d7871fc2">charge</a>) : m_obj(new <a class="code" href="classeic_1_1_raw_tracker_hit_obj.html">RawTrackerHitObj</a>()) {</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_raw_tracker_hit_obj.html#af68a1a66bac89362001154ea861c75b6">data</a>.<a class="code" href="classeic_1_1_raw_tracker_hit_data.html#ad69e174d613076deb1a829e86c7c58d0">cellID</a> = <a class="code" href="classeic_1_1_raw_tracker_hit.html#afc96837d8331c6207d6b672384d067ff">cellID</a>;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_raw_tracker_hit_obj.html#af68a1a66bac89362001154ea861c75b6">data</a>.<a class="code" href="classeic_1_1_raw_tracker_hit_data.html#aaaa2a3f44399743384644b75c6df8292">time</a> = <a class="code" href="classeic_1_1_raw_tracker_hit.html#ac91d841e9370f1c870f3a8c17841421b">time</a>;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_raw_tracker_hit_obj.html#af68a1a66bac89362001154ea861c75b6">data</a>.<a class="code" href="classeic_1_1_raw_tracker_hit_data.html#ac5bd877fdc3399c1a4e7727e897b5ab8">charge</a> = <a class="code" href="classeic_1_1_raw_tracker_hit.html#abcae9fea17111fd53a88ed52d7871fc2">charge</a>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;}</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_tracker_hit.html#a6fe3d4c3945a649f231e0cced63a4e5b">   27</a></span>&#160;<a class="code" href="classeic_1_1_raw_tracker_hit.html#a33642c3935b58ece8d21493a02384ab9">RawTrackerHit::RawTrackerHit</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_raw_tracker_hit.html">RawTrackerHit</a>&amp; other) : m_obj(other.m_obj) {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;}</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_tracker_hit.html#a01c03b6929e4e508c605a705fb536ff0">   31</a></span>&#160;<a class="code" href="classeic_1_1_raw_tracker_hit.html">RawTrackerHit</a>&amp; <a class="code" href="classeic_1_1_raw_tracker_hit.html#a01c03b6929e4e508c605a705fb536ff0">RawTrackerHit::operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_raw_tracker_hit.html">RawTrackerHit</a>&amp; other) {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;  m_obj = other.m_obj;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;}</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_tracker_hit.html#ad35de85c3f10c2ab6620f590bf12fc7b">   37</a></span>&#160;<a class="code" href="classeic_1_1_raw_tracker_hit.html#a33642c3935b58ece8d21493a02384ab9">RawTrackerHit::RawTrackerHit</a>( <a class="code" href="classeic_1_1_raw_tracker_hit_obj.html">RawTrackerHitObj</a>* obj) : m_obj(obj) {</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;acquire();</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;}</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_tracker_hit.html#adea01e2eb3cdd2abcd007b5a89782ed4">   41</a></span>&#160;<a class="code" href="classeic_1_1_raw_tracker_hit.html">RawTrackerHit</a> <a class="code" href="classeic_1_1_raw_tracker_hit.html#adea01e2eb3cdd2abcd007b5a89782ed4">RawTrackerHit::clone</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;  <span class="keywordflow">return</span> {<span class="keyword">new</span> <a class="code" href="classeic_1_1_raw_tracker_hit_obj.html">RawTrackerHitObj</a>(*m_obj)};</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;}</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_tracker_hit.html#ac13610d34190bc0db7ed2710680df193">   45</a></span>&#160;<a class="code" href="classeic_1_1_raw_tracker_hit.html#ac13610d34190bc0db7ed2710680df193">RawTrackerHit::~RawTrackerHit</a>() {</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;}</div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_tracker_hit.html#ae756d23a68f8b6ff4e6851b1ec0808df">   48</a></span>&#160;RawTrackerHit::operator <a class="code" href="classeic_1_1_const_raw_tracker_hit.html">ConstRawTrackerHit</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_raw_tracker_hit.html">ConstRawTrackerHit</a>(m_obj); }</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_tracker_hit.html#afc96837d8331c6207d6b672384d067ff">   50</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_raw_tracker_hit.html#afc96837d8331c6207d6b672384d067ff">RawTrackerHit::cellID</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_raw_tracker_hit_obj.html#af68a1a66bac89362001154ea861c75b6">data</a>.<a class="code" href="classeic_1_1_raw_tracker_hit_data.html#ad69e174d613076deb1a829e86c7c58d0">cellID</a>; }</div><div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_tracker_hit.html#ac91d841e9370f1c870f3a8c17841421b">   51</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_raw_tracker_hit.html#ac91d841e9370f1c870f3a8c17841421b">RawTrackerHit::time</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_raw_tracker_hit_obj.html#af68a1a66bac89362001154ea861c75b6">data</a>.<a class="code" href="classeic_1_1_raw_tracker_hit_data.html#aaaa2a3f44399743384644b75c6df8292">time</a>; }</div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_tracker_hit.html#abcae9fea17111fd53a88ed52d7871fc2">   52</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_raw_tracker_hit.html#abcae9fea17111fd53a88ed52d7871fc2">RawTrackerHit::charge</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_raw_tracker_hit_obj.html#af68a1a66bac89362001154ea861c75b6">data</a>.<a class="code" href="classeic_1_1_raw_tracker_hit_data.html#ac5bd877fdc3399c1a4e7727e897b5ab8">charge</a>; }</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_tracker_hit.html#a36b28735ce2d90395165135f34430724">   55</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_raw_tracker_hit.html#afc96837d8331c6207d6b672384d067ff">RawTrackerHit::cellID</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_raw_tracker_hit_obj.html#af68a1a66bac89362001154ea861c75b6">data</a>.<a class="code" href="classeic_1_1_raw_tracker_hit_data.html#ad69e174d613076deb1a829e86c7c58d0">cellID</a> = value; }</div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_tracker_hit.html#af0406053ae782c3e66e08c6a68e5d465">   56</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_raw_tracker_hit.html#ac91d841e9370f1c870f3a8c17841421b">RawTrackerHit::time</a>(<span class="keywordtype">int</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_raw_tracker_hit_obj.html#af68a1a66bac89362001154ea861c75b6">data</a>.<a class="code" href="classeic_1_1_raw_tracker_hit_data.html#aaaa2a3f44399743384644b75c6df8292">time</a> = value; }</div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_tracker_hit.html#a43bbf59ca2223245e7354527494c745e">   57</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_raw_tracker_hit.html#abcae9fea17111fd53a88ed52d7871fc2">RawTrackerHit::charge</a>(<span class="keywordtype">int</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_raw_tracker_hit_obj.html#af68a1a66bac89362001154ea861c75b6">data</a>.<a class="code" href="classeic_1_1_raw_tracker_hit_data.html#ac5bd877fdc3399c1a4e7727e897b5ab8">charge</a> = value; }</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_tracker_hit.html#aac8d8e0515c336c821088de320c8f922">   65</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_raw_tracker_hit.html#aac8d8e0515c336c821088de320c8f922">RawTrackerHit::isAvailable</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  }</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;  <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;}</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_tracker_hit.html#af7083e995e92369a4050ae2531a94c75">   72</a></span>&#160;<span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_raw_tracker_hit.html#af7083e995e92369a4050ae2531a94c75">RawTrackerHit::getObjectID</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keywordflow">return</span> m_obj-&gt;id;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  }</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;  <span class="keywordflow">return</span> podio::ObjectID{podio::ObjectID::invalid, podio::ObjectID::invalid};</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;}</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_tracker_hit.html#a4d72fa8cf4d41f3a720362dc1c2af06e">   79</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_raw_tracker_hit.html#a5e0413645dd505f65ee2bc8ab4f0aa97">RawTrackerHit::operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_raw_tracker_hit.html">ConstRawTrackerHit</a>&amp; other)<span class="keyword"> const </span>{</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  <span class="keywordflow">return</span> m_obj == other.m_obj;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;}</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="namespaceeic.html#afef1c626544b4fc016dfebe877bca836">   83</a></span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_const_raw_tracker_hit.html">ConstRawTrackerHit</a>&amp; value) {</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; id: &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_raw_tracker_hit.html#a6249f8e9df109051919a3e5131ae997f">id</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; cellID : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_raw_tracker_hit.html#a968dc7a4f232b40155dca1e78690f8f8">cellID</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; time : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_raw_tracker_hit.html#a86327acdb4411c6aa78ed5f06a0a7e03">time</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; charge : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_raw_tracker_hit.html#a3381c6b8872e338879582b29c0e8ca02">charge</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;  <span class="keywordflow">return</span> o;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;}</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="ttc" id="classeic_1_1_raw_tracker_hit_html_ac91d841e9370f1c870f3a8c17841421b"><div class="ttname"><a href="classeic_1_1_raw_tracker_hit.html#ac91d841e9370f1c870f3a8c17841421b">eic::RawTrackerHit::time</a></div><div class="ttdeci">const int &amp; time() const</div><div class="ttdoc">Access the tdc value. </div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_8cc_source.html#l00051">RawTrackerHit.cc:51</a></div></div>
<div class="ttc" id="classeic_1_1_raw_tracker_hit_obj_html"><div class="ttname"><a href="classeic_1_1_raw_tracker_hit_obj.html">eic::RawTrackerHitObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_obj_8h_source.html#l00018">RawTrackerHitObj.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_raw_tracker_hit_html_ac13610d34190bc0db7ed2710680df193"><div class="ttname"><a href="classeic_1_1_raw_tracker_hit.html#ac13610d34190bc0db7ed2710680df193">eic::RawTrackerHit::~RawTrackerHit</a></div><div class="ttdeci">~RawTrackerHit()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_8cc_source.html#l00045">RawTrackerHit.cc:45</a></div></div>
<div class="ttc" id="classeic_1_1_raw_tracker_hit_html_afc96837d8331c6207d6b672384d067ff"><div class="ttname"><a href="classeic_1_1_raw_tracker_hit.html#afc96837d8331c6207d6b672384d067ff">eic::RawTrackerHit::cellID</a></div><div class="ttdeci">const long long &amp; cellID() const</div><div class="ttdoc">Access the The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_8cc_source.html#l00050">RawTrackerHit.cc:50</a></div></div>
<div class="ttc" id="classeic_1_1_raw_tracker_hit_html"><div class="ttname"><a href="classeic_1_1_raw_tracker_hit.html">eic::RawTrackerHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_8h_source.html#l00025">RawTrackerHit.h:25</a></div></div>
<div class="ttc" id="_raw_tracker_hit_data_8h_html"><div class="ttname"><a href="_raw_tracker_hit_data_8h.html">RawTrackerHitData.h</a></div></div>
<div class="ttc" id="_raw_tracker_hit_const_8h_html"><div class="ttname"><a href="_raw_tracker_hit_const_8h.html">RawTrackerHitConst.h</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_const_raw_tracker_hit_html"><div class="ttname"><a href="classeic_1_1_const_raw_tracker_hit.html">eic::ConstRawTrackerHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_const_8h_source.html#l00023">RawTrackerHitConst.h:23</a></div></div>
<div class="ttc" id="classeic_1_1_raw_tracker_hit_html_a5e0413645dd505f65ee2bc8ab4f0aa97"><div class="ttname"><a href="classeic_1_1_raw_tracker_hit.html#a5e0413645dd505f65ee2bc8ab4f0aa97">eic::RawTrackerHit::operator==</a></div><div class="ttdeci">bool operator==(const RawTrackerHit &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_8h_source.html#l00087">RawTrackerHit.h:87</a></div></div>
<div class="ttc" id="classeic_1_1_raw_tracker_hit_obj_html_af68a1a66bac89362001154ea861c75b6"><div class="ttname"><a href="classeic_1_1_raw_tracker_hit_obj.html#af68a1a66bac89362001154ea861c75b6">eic::RawTrackerHitObj::data</a></div><div class="ttdeci">RawTrackerHitData data</div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_obj_8h_source.html#l00030">RawTrackerHitObj.h:30</a></div></div>
<div class="ttc" id="classeic_1_1_const_raw_tracker_hit_html_a968dc7a4f232b40155dca1e78690f8f8"><div class="ttname"><a href="classeic_1_1_const_raw_tracker_hit.html#a968dc7a4f232b40155dca1e78690f8f8">eic::ConstRawTrackerHit::cellID</a></div><div class="ttdeci">const long long &amp; cellID() const</div><div class="ttdoc">Access the The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_const_8cc_source.html#l00048">RawTrackerHitConst.cc:48</a></div></div>
<div class="ttc" id="_raw_tracker_hit_collection_8h_html"><div class="ttname"><a href="_raw_tracker_hit_collection_8h.html">RawTrackerHitCollection.h</a></div></div>
<div class="ttc" id="classeic_1_1_raw_tracker_hit_html_abcae9fea17111fd53a88ed52d7871fc2"><div class="ttname"><a href="classeic_1_1_raw_tracker_hit.html#abcae9fea17111fd53a88ed52d7871fc2">eic::RawTrackerHit::charge</a></div><div class="ttdeci">const int &amp; charge() const</div><div class="ttdoc">Access the adc value. </div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_8cc_source.html#l00052">RawTrackerHit.cc:52</a></div></div>
<div class="ttc" id="classeic_1_1_raw_tracker_hit_data_html_ad69e174d613076deb1a829e86c7c58d0"><div class="ttname"><a href="classeic_1_1_raw_tracker_hit_data.html#ad69e174d613076deb1a829e86c7c58d0">eic::RawTrackerHitData::cellID</a></div><div class="ttdeci">long long cellID</div><div class="ttdoc">The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_data_8h_source.html#l00016">RawTrackerHitData.h:16</a></div></div>
<div class="ttc" id="classeic_1_1_raw_tracker_hit_html_af7083e995e92369a4050ae2531a94c75"><div class="ttname"><a href="classeic_1_1_raw_tracker_hit.html#af7083e995e92369a4050ae2531a94c75">eic::RawTrackerHit::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_8cc_source.html#l00072">RawTrackerHit.cc:72</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_raw_tracker_hit_html_aac8d8e0515c336c821088de320c8f922"><div class="ttname"><a href="classeic_1_1_raw_tracker_hit.html#aac8d8e0515c336c821088de320c8f922">eic::RawTrackerHit::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_8cc_source.html#l00065">RawTrackerHit.cc:65</a></div></div>
<div class="ttc" id="_raw_tracker_hit_8h_html"><div class="ttname"><a href="_raw_tracker_hit_8h.html">RawTrackerHit.h</a></div></div>
<div class="ttc" id="classeic_1_1_raw_tracker_hit_data_html_ac5bd877fdc3399c1a4e7727e897b5ab8"><div class="ttname"><a href="classeic_1_1_raw_tracker_hit_data.html#ac5bd877fdc3399c1a4e7727e897b5ab8">eic::RawTrackerHitData::charge</a></div><div class="ttdeci">int charge</div><div class="ttdoc">adc value </div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_data_8h_source.html#l00018">RawTrackerHitData.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_raw_tracker_hit_html_adea01e2eb3cdd2abcd007b5a89782ed4"><div class="ttname"><a href="classeic_1_1_raw_tracker_hit.html#adea01e2eb3cdd2abcd007b5a89782ed4">eic::RawTrackerHit::clone</a></div><div class="ttdeci">RawTrackerHit clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_8cc_source.html#l00041">RawTrackerHit.cc:41</a></div></div>
<div class="ttc" id="classeic_1_1_raw_tracker_hit_html_a01c03b6929e4e508c605a705fb536ff0"><div class="ttname"><a href="classeic_1_1_raw_tracker_hit.html#a01c03b6929e4e508c605a705fb536ff0">eic::RawTrackerHit::operator=</a></div><div class="ttdeci">RawTrackerHit &amp; operator=(const RawTrackerHit &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_8cc_source.html#l00031">RawTrackerHit.cc:31</a></div></div>
<div class="ttc" id="classeic_1_1_const_raw_tracker_hit_html_a3381c6b8872e338879582b29c0e8ca02"><div class="ttname"><a href="classeic_1_1_const_raw_tracker_hit.html#a3381c6b8872e338879582b29c0e8ca02">eic::ConstRawTrackerHit::charge</a></div><div class="ttdeci">const int &amp; charge() const</div><div class="ttdoc">Access the adc value. </div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_const_8cc_source.html#l00050">RawTrackerHitConst.cc:50</a></div></div>
<div class="ttc" id="classeic_1_1_raw_tracker_hit_data_html_aaaa2a3f44399743384644b75c6df8292"><div class="ttname"><a href="classeic_1_1_raw_tracker_hit_data.html#aaaa2a3f44399743384644b75c6df8292">eic::RawTrackerHitData::time</a></div><div class="ttdeci">int time</div><div class="ttdoc">tdc value. </div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_data_8h_source.html#l00017">RawTrackerHitData.h:17</a></div></div>
<div class="ttc" id="classeic_1_1_raw_tracker_hit_html_a33642c3935b58ece8d21493a02384ab9"><div class="ttname"><a href="classeic_1_1_raw_tracker_hit.html#a33642c3935b58ece8d21493a02384ab9">eic::RawTrackerHit::RawTrackerHit</a></div><div class="ttdeci">RawTrackerHit()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_8cc_source.html#l00016">RawTrackerHit.cc:16</a></div></div>
<div class="ttc" id="classeic_1_1_const_raw_tracker_hit_html_a6249f8e9df109051919a3e5131ae997f"><div class="ttname"><a href="classeic_1_1_const_raw_tracker_hit.html#a6249f8e9df109051919a3e5131ae997f">eic::ConstRawTrackerHit::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_const_8h_source.html#l00076">RawTrackerHitConst.h:76</a></div></div>
<div class="ttc" id="classeic_1_1_const_raw_tracker_hit_html_a86327acdb4411c6aa78ed5f06a0a7e03"><div class="ttname"><a href="classeic_1_1_const_raw_tracker_hit.html#a86327acdb4411c6aa78ed5f06a0a7e03">eic::ConstRawTrackerHit::time</a></div><div class="ttdeci">const int &amp; time() const</div><div class="ttdoc">Access the tdc value. </div><div class="ttdef"><b>Definition:</b> <a href="_raw_tracker_hit_const_8cc_source.html#l00049">RawTrackerHitConst.cc:49</a></div></div>
<div class="ttc" id="_raw_tracker_hit_obj_8h_html"><div class="ttname"><a href="_raw_tracker_hit_obj_8h.html">RawTrackerHitObj.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
